Manual do PHP
Anterior |  | Próxima

# oci_field_type_raw

(PHP 5)

oci_field_type_raw -- Tell the raw Oracle data type of the field

## Descrição

int oci_field_type_raw ( resource statement, int field )

Returns Oracle's raw data type of the `field`.

However, if you want to get field's type, then oci_field_type() will suit you better.

## Parâmetros

`statement`

  A valid OCI statement identifier.

`field`

  Can be the field's index (1-based) or name.

## Valores de retornado

Returns Oracle's raw data type as a string, or `FALSE` on errors.

## Notas

> Nota: In PHP versions before 5.0.0 you must use ocicolumntyperaw() instead. This name still can be used, it was left as alias of oci_field_type_raw() for downwards compatability. This, however, is deprecated and not recommended.

Anterior | Principal | Próxima
oci_field_size | Acima | oci_field_type